Loading...
API Reference
Cart

Endpoints allowing you to manage cart contents, customer information, and shipping options

# Endpoints
get
/cart/{id}
Fetches cart details, including products, buyer identity, and cart costs
post
/cart/add
Adds items to an existing cart using Variant IDs
post
/cart/update
Updates an existing cart by modifying existing cart items quantities
del
/cart/items
Remove a product variant from a cart (removes entire variant regardless of quantity)
post
/cart/customer
Add or update customer information for a cart
get
/cart/{id}/shipping
Retrieve available shipping methods for a cart
post
/cart/shipping/method
Select a shipping method for a cart
get
/cart/status/{id}
Retrieve the current status of a cart
get
Get Cart

Fetches cart details, including products, buyer identity, and cart costs

Parameters
id
string
required
Cart ID (ULID format)
get
/cart/{id}
shell
javascript
go
java
php
{} Response
200
400
401
403
404
500
post
Add Items to Cart

Adds items to an existing cart using Variant IDs

Request body
cart_id
string
Optional. If omitted, a new cart is created and its ID is returned.
item
object
required
item parameter
item.customizations
object[]
Buyer-supplied customizations (e.g. player, name on back)
item.customizations[].key
string
required
Matches product_customizations.key
item.customizations[].text_value
string
Free-text input (for text types)
item.customizations[].value
string
Selected option value (for single_select / multi_select)
item.quantity
integer
Number of units (0 to remove item)
item.variant_id
string
required
Product variant ID from catalog
post
/cart/add
shell
javascript
go
java
php
{} Response
200
400
401
403
500
post
Update Cart Item

Updates an existing cart by modifying existing cart items quantities

Request body
cart_id
string
Optional. If omitted, a new cart is created and its ID is returned.
item
object
required
item parameter
item.customizations
object[]
Buyer-supplied customizations (e.g. player, name on back)
item.customizations[].key
string
required
Matches product_customizations.key
item.customizations[].text_value
string
Free-text input (for text types)
item.customizations[].value
string
Selected option value (for single_select / multi_select)
item.quantity
integer
Number of units (0 to remove item)
item.variant_id
string
required
Product variant ID from catalog
post
/cart/update
shell
javascript
go
java
php
{} Response
200
400
401
403
500
del
Delete Cart Item

Remove a product variant from a cart (removes entire variant regardless of quantity)

Request body
cart_id
string
required
Cart ID in ULID format
variant_id
string
required
Product variant ID to remove
del
/cart/items
shell
javascript
go
java
php
{} Response
200
400
401
403
500
post
Set Customer Info

Add or update customer information for a cart

Request body
buyer_identity
object
required
buyer_identity parameter
buyer_identity.address1
string
Primary street address
buyer_identity.address2
string
Secondary address (apartment, suite, unit, etc.)
buyer_identity.city
string
City name
buyer_identity.country_code
string
ISO 3166-1 alpha-2 country code (e.g., 'US', 'CA')
buyer_identity.email
string
Customer's email address
buyer_identity.first_name
string
Customer's first name
buyer_identity.last_name
string
Customer's last name
buyer_identity.phone
string
Customer's phone number with country code
buyer_identity.postal_code
string
Postal/ZIP code
buyer_identity.province_code
string
State/province code (e.g., 'NY', 'CA', 'TX')
cart_id
string
required
Cart ID in ULID format
post
/cart/customer
shell
javascript
go
java
php
{} Response
200
400
401
403
404
500
get
Get Shipping Options

Retrieve available shipping methods for a cart

Parameters
id
string
required
Cart ID (ULID format)
get
/cart/{id}/shipping
shell
javascript
go
java
php
{} Response
200
400
401
403
404
422
500
post
Select Shipping Method

Select a shipping method for a cart

Request body
cart_id
string
required
Cart ID in ULID format
shipping_options
object[]
required
Shipping method selections for each store
shipping_options[].shipping_id
string
required
Shipping method ID from available options
shipping_options[].store
string
required
Store domain (merchant cart URL)
post
/cart/shipping/method
shell
javascript
go
java
php
{} Response
200
400
401
403
404
500
get
Get Cart Status

Retrieve the current status of a cart

Parameters
id
string
required
Cart ID (UUID format)
get
/cart/status/{id}
shell
javascript
go
java
php
{} Response
200
400
404
500
get
/cart/{id}
shell
javascript
go
java
php
{} Response
200
400
401
403
404
500